2014/11/02

[nrf51]S110 v6系に対応したnRF51 SDKはダウンロードできない?

古いバージョンのSDKは、ここからダウンロードできるようだ。
https://www.nordicsemi.com/eng/nordic/Products/nRF51822/nRF51-SDK-zip/23446

v6.0.0の前は、v4.4.2になるのだな。
その間のv5系はどういう扱いなんだろう?

image

前回、nRF51822に焼かれていたSoftDeviceバージョンと、ビルドに使っていたSDKバージョンが不一致だったためにはまったので、バージョンのことは意識しておきたい。

image

こう書いてあるので、nRF51 SDK v6.1.0はSoftDevice S110 v7.0.0(今はv7.1.0か)用なのだろう。

その前は記憶があやふやなのだが、nRF51822にv5系のSoftDeviceがインストールされていて、nRF51 SDKがv5系だったようだ。
SDKのリリースノートを見ると、SDK v5.2.0はS110 6.0.0対応となっている。
で、SDK v4.4.2はS110 v5.2.1らしい。

なので、

SoftDeviceのメジャーバージョン=SDKのメージャーバージョン+1

という関係なのか。

 

ならば、SoftDevice v6系の人はSDK v5系がいるはずなのだけど、nrf51_sdk_v5_2_0がリストにないので、もはやダウンロードできないのではなかろうか。
でも、SoftDevice v6はまだダウンロードできるようだし。
うーむ。。。

0 件のコメント:

コメントを投稿

コメントありがとうございます。
スパムかもしれない、と私が思ったら、
申し訳ないですが勝手に削除することもあります。